let a = 1;

function mapStateToProps(state) {
  return {
    b: state.a.b,
  };
}

function mapDispatchToProps() {
  return {
    // click: () => dispatch({ type: 'afsfasf' }),
  };
}
cc.Class({
  extends: cc.Component,

  properties: {
    // lab: {
    //   default: null,
    //   type: cc.Node,
    // },
    // root: {
    //   default: null,
    //   type: cc.Node,
    // },
  },

  onLoad() {
  },

  start() {
    // if (cc.director.getScene().name !== 'a') {
    if (a === 1 || a === 2) {
      console.log('load')
      cc.loader.loadResDir('/4k', (err, e) => {
        console.log('in', err, e);
      });
    }
    // cc.director.loadScene('a');
    if (a === 1 || a === 2) {
      console.log('restart')
      cc.game.restart();
    }
    // } else {
    //   cc.loader.loadResDir('/prefab', (err, a) => {
    //     console.log('in11', err, a);
    //   });
    // }
    a += 1;
  },

  // onClick() {
  //   cc.game.restart();
  // },
});

